Page MenuHomePhabricator

Support automatic "Depends On" detection in Mercurial
ClosedPublic

Authored by epriestley on Sep 27 2017, 5:23 PM.

Details

Summary

Depends on D18651. Allows Mercurial to auto-detect depends-on revisions.

Test Plan

See D18652 and D18653. Didn't actually test the empty repository states but they're probably okay. The experimental branch is an untamed wild. ¯\_(ツ)_/¯

Diff Detail

Repository
rARC Arcanist
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley created this revision.Sep 27 2017, 5:23 PM
amckinley accepted this revision.Sep 27 2017, 5:31 PM
This revision is now accepted and ready to land.Sep 27 2017, 5:31 PM
This revision was automatically updated to reflect the committed changes.
rm added a subscriber: rm.Sep 28 2017, 1:02 PM

I'm checking this out nowish. Will let you know what beasts I run into in the wilderness of the experimental branch.

Good luck! 🐯

rm added a comment.Oct 1 2017, 11:49 AM

For the initial arc diff it seemed to work. I got a commit message pre-populated with Depends On: Dxxxx.

I ran into some strange PhutilConsole import errors on second update but when I came here to report they become non-reproducible so I'll keep my eye open for them but no other issues so far.

If you still have the error text I might be able to hunt them down.

(PhutilConsole should mostly get nuked in T12996 so they probably won't survive that anyway.)